classification
Title: Create "Source Code" links in module sections, where relevant
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Yoni Lavi, docs@python, python-dev, terry.reedy
Priority: normal Keywords: patch

Created on 2016-06-13 04:14 by Yoni Lavi, last changed 2016-06-23 02:55 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
mywork.patch Yoni Lavi, 2016-06-13 04:14 review
Messages (4)
msg268417 - (view) Author: Yoni Lavi (Yoni Lavi) * Date: 2016-06-13 04:14
This is a follow to #22558.

As per Terry's suggestion in #22558, for packages with multiple modules that are all documented on the same page and that currently have a "Source Code" link to an __init__ file (e.g. importlib), we should also add more specific "Source Code" links to the module sections.

Attached is a patch for the documentation of the 3 such packages that I found: importlib, dbm and json
msg269095 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-22 23:59
Looks good at first review on Rietveld.  Will test next.
msg269100 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-23 02:47
New changeset e3b4033e0ea7 by Terry Jan Reedy in branch '3.5':
Issue #27304: Source code links for sub-packages in the same file.
https://hg.python.org/cpython/rev/e3b4033e0ea7
msg269101 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-23 02:55
Three of the links are to one- or two- line modules that import the C implementation.  I considered dropping them, but decided that the only way to know that they are not worth looking at is to let someone take a look.  A counter argument is that we don't have links to CPython C implementations, and we could pretend that the Python wrappers are not there. Another core developer who feels strongly enough can remove the three.

Thanks for the nice patch.  I hope you do some more.
History
Date User Action Args
2016-06-23 02:55:14terry.reedysetstatus: open -> closed
type: enhancement
messages: + msg269101

resolution: fixed
stage: resolved
2016-06-23 02:47:16python-devsetnosy: + python-dev
messages: + msg269100
2016-06-22 23:59:52terry.reedysetmessages: + msg269095
2016-06-13 04:14:43Yoni Lavicreate